Subject: Re: bug#38187: 27.0.50; No mouse-wheel scaling on images

From: Eli Zaretskii <[email-masked]>
Date: Thu, 21 Nov 2019 16:25:03 +0200

> From: Lars Ingebrigtsen <[email-masked]>
> Cc: Stefan Kangas <[email-masked]>,  Eli Zaretskii <[email-masked]>,
>   [email-masked]
> Date: Thu, 21 Nov 2019 13:11:02 +0100
> 
> Juri Linkov <[email-masked]> writes:
> 
> > So I experimented with debouncing - a new macro 'debounce' swallows
> > all intermediate calls in quick succession to 'image--change-size',
> > and executes only the last call in sequence.
> >
> > But actually it requires another better macro 'debounce-reduce'
> > that accumulates the state from all calls by multiplying all
> > intermediate scaling factors, and using the result on the final call:
> 
> Makes sense to me.

Does it help to bind redisplay-dont-pause to a nil value inside
image--change-size?